#! /usr/bin/bash

if [[ $UID != 0 ]]; then
  echo "Please run this using sudo"
  exit
fi

prefix=backup_apache2
targetFolder=/etc/
target=apache2


fileName=$prefix-$(date +'%Y%m%d').tar.gz
dir=$(pwd)

echo "====== backup Apache2 data from $targetFolder/$target"


echo "====== check number of old backup"
nBackup=$(ls -1 $prefix-* | wc -l)
echo "number of backup : ${nBackup}"
if [[ $nBackup -gt 3 ]]; then
   oldFile=$(ls -t $prefix-* | tail -1)
   echo "removing the old backup $oldFile"
   rm -f $oldFile
fi

echo "====== cd to $backupTargetFolder"

cd $targetFolder
tar -czf $fileName $target

ls -l $fileName
mv $fileName $dir/.

echo "backup saved to ${fileName}"

echo "===== ssh to newton.physics.fsu.edu"
cd $dir
scp -rp $fileName ryan@128.186.111.52:/backupHome/.
